import { AuthenticationResult } from "@azure/msal-common";
import { ManagedIdentityConfiguration } from "../config/Configuration";
import { ManagedIdentityRequestParams } from "../request/ManagedIdentityRequestParams";
/**
 * Class to initialize a managed identity and identify the service
 */
export declare class ManagedIdentityApplication {
    private config;
    private logger;
    private static nodeStorage?;
    private networkClient;
    private cryptoProvider;
    private fakeAuthority;
    private fakeClientCredentialClient;
    private managedIdentityClient;
    constructor(configuration?: ManagedIdentityConfiguration);
    /**
     * Acquire an access token from the cache or the managed identity
     * @param managedIdentityRequest
     * @returns the access token
     */
    acquireToken(managedIdentityRequestParams: ManagedIdentityRequestParams): Promise<AuthenticationResult>;
}
//# sourceMappingURL=ManagedIdentityApplication.d.ts.map