import { Authority, INetworkModule, Logger, AuthenticationResult } from "@azure/msal-common";
import { CryptoProvider } from "../crypto/CryptoProvider";
import { ManagedIdentityRequest } from "../request/ManagedIdentityRequest";
import { ManagedIdentityId } from "../config/ManagedIdentityId";
import { NodeStorage } from "../cache/NodeStorage";
export declare class ManagedIdentityClient {
    private logger;
    private nodeStorage;
    private networkClient;
    private cryptoProvider;
    private static identitySource?;
    constructor(logger: Logger, nodeStorage: NodeStorage, networkClient: INetworkModule, cryptoProvider: CryptoProvider);
    sendManagedIdentityTokenRequest(managedIdentityRequest: ManagedIdentityRequest, managedIdentityId: ManagedIdentityId, fakeAuthority: Authority, refreshAccessToken?: boolean): Promise<AuthenticationResult>;
    /**
     * Tries to create a managed identity source for all sources
     * @returns the managed identity Source
     */
    private selectManagedIdentitySource;
}
//# sourceMappingURL=ManagedIdentityClient.d.ts.map